## NAME

r.in.aster - Georeference, rectify, and import Terra-ASTER imagery and relative DEMs using gdalwarp.

## KEYWORDS

raster, import, imagery, ASTER, elevation

## SYNOPSIS

r.in.aster
r.in.aster --help
r.in.aster input=name proctype=string band=string output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input ASTER image
proctype=string [required]
  ASTER imagery processing type (Level 1A, Level 1B, or relative DEM)
  Options: L1A, L1B, DEM
  Default: L1B
band=string [required]
  List L1A or L1B band to translate (1,2,3n,...), or enter 'all' to translate all bands
  Default: all
output=name [required]
  Base name for output raster map (band number will be appended to base name)

## DESCRIPTION

r.in.aster rectifies, georeferences, and imports Terra-ASTER imagery to current location using gdalwarp, hdf 4, and r.in.gdal, using projection parameters from g.proj. It can import Level 1A, Level 1B, and relative DEM products.

The program may be run interactively or non-interactively from the command line. In either case, the user must specify an input *.hdf file name, the type of processing used, the image band to import, and an output GRASS raster map name.

The type parameter can take values of L1A, L1B, or DEM.

The band parameter can take values of 1, 2, 3n, 3b, 4-14

## NOTES

r.in.aster requires GDAL library to be in the user's path and the hdf 4 driver to be installed. The GDAL library must be compiled with hdf support.

## AUTHORS

Michael Barton, Arizona State University and Paul Kelly

Last changed: $Date$

## SOURCE CODE

Available at: r.in.aster source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual